Subject: [ipfix] WG process: a proposal

From: Nevil Brownlee <[email-masked]>
Date: Thu, 14 Feb 2002 11:23:25 +1300 (New Zealand Daylight Time)

Hello all:

Various people have been asking for some direction from the WG chairs 
as to where we're heading with the two current documents.  After some
discussion between Dave and myself, I'd like to suggest the following:

A: Background

1) At the Salt Lake City IETF we called for volunteers to work on
   the two IPFIX documents, as set out in the WG charter.  About
   20 people volunteered.

2) After an initial flurry of discussion on the IPFIX list, things
   went quiet.  We set up some extra sub-lists to help the design
   team members get some initial discussions going.

3) KC Norseth stepped forward and posted some skeleton documents.
   These were simply lists of section headings based on the
   'IPFIX requirements' document.

4) KC also proposed a design teleconference.  That idea was
   welcomed, and the conference was scheduled for 31 January.

5) At that point a group from Cisco, led by Benoit and Ganesh,
   came forward with a much more complete document, which they
   published as an individual Internet draft, so everyone could
   read it and comment.  This was a very considerable contribution
   to the WG.

6) The teleconference was held, with many people participating.
   Minutes were posted on the list.  Since then there has been
   a *lot* of discussion on the list and sublists.  Many people
   (including those from Cisco) have contributed text, which KC
   has edited together to form a second document.  This will
   shortly be published as a second individual draft.

7) We now have two documents, each with lots of worthwhile material
   in them.  I suspect there is a feeling that these are, somehow,
   competing proposals - this is not the case.  Both are serious
   contributions to the WG effort.

B: What next?

From the WG co-chairs point of view, any documents being produced as
WG drafts need to be the result of open discussion in the WG, i.e. on
its mailing list.  The co-chairs' role is to facilitate discussion, 
and to guide it towards actually delivering documents as per the WG's
charter goals.  Decisions about the technical merit of text in various
sections of the document needs to be decided by consensus on the list.

Ideally, we'd like to get to the next IETF meeting (Minneapolis in 
March) with a single document to review / discuss / amend.  So how
can we achieve that?

I propose that

1) We form a small 'editorial' team, with two people from those
   working on each of the two current documents (4 altogether).

2) We ask the editorial team to merge the documents together,
   and publish the resulting document(s) as IPFX WG drafts.

3) The members of the design team - i.e. all those who've contributed
   text to the drafts - will be listed in the 'Acknowledgements'
   section of all drafts produced. The editors of each document
   will appear as the document authors.

4) Watching the mailing list discussion, this is starting to 
   happen as a natural development anyway.  Agreeing to proceed
   in this way would simply introduce a little formality to it,
   and make the process clear to everyone.

One other comment. This WG has certainly generated plenty of interesting
discussion on its mailing list.  It's clear that all those involved
are putting a lot of effort into our goal of producing the best 
technical solutions.  Thanks all round.

I'd like comments / feedback on this notion from all concerned, please.
In particular, if we can agree to proceed in this way, we need to
decide who's on the editorial team ...

Cheers, Nevil

+---------------------------------------------------------------------+
| Nevil Brownlee                     Director, Technology Development |
| Phone: +64 9 373 7599 x8941        ITSS, The University of Auckland |
|   FAX: +64 9 373 7021      Private Bag 92019, Auckland, New Zealand |
+---------------------------------------------------------------------P

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: [email-masked]
Date: Wed, 13 Feb 2002 17:36:21 -0500

Fine with me. 

I have strong interest in being on the
data document's editorial team.

Paul

---

From: "K.C. Norseth" <[email-masked]>
Date: Wed, 13 Feb 2002 17:04:29 -0700

Design team people.

Reguardless of what happens, send me your contributions to update in the
team drafts.  They are important and will be incorporated.

K.C.
----- Original Message -----
From: Nevil Brownlee <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>
Sent: Wednesday, February 13, 2002 3:23 PM
Subject: [ipfix] WG process: a proposal

|
| Hello all:
|
| Various people have been asking for some direction from the WG chairs
| as to where we're heading with the two current documents.  After some
| discussion between Dave and myself, I'd like to suggest the following:
|
| A: Background
|
| 1) At the Salt Lake City IETF we called for volunteers to work on
|    the two IPFIX documents, as set out in the WG charter.  About
|    20 people volunteered.
|
| 2) After an initial flurry of discussion on the IPFIX list, things
|    went quiet.  We set up some extra sub-lists to help the design
|    team members get some initial discussions going.
|
| 3) KC Norseth stepped forward and posted some skeleton documents.
|    These were simply lists of section headings based on the
|    'IPFIX requirements' document.
|
| 4) KC also proposed a design teleconference.  That idea was
|    welcomed, and the conference was scheduled for 31 January.
|
| 5) At that point a group from Cisco, led by Benoit and Ganesh,
|    came forward with a much more complete document, which they
|    published as an individual Internet draft, so everyone could
|    read it and comment.  This was a very considerable contribution
|    to the WG.
|
| 6) The teleconference was held, with many people participating.
|    Minutes were posted on the list.  Since then there has been
|    a *lot* of discussion on the list and sublists.  Many people
|    (including those from Cisco) have contributed text, which KC
|    has edited together to form a second document.  This will
|    shortly be published as a second individual draft.
|
| 7) We now have two documents, each with lots of worthwhile material
|    in them.  I suspect there is a feeling that these are, somehow,
|    competing proposals - this is not the case.  Both are serious
|    contributions to the WG effort.
|
| B: What next?
|
| From the WG co-chairs point of view, any documents being produced as
| WG drafts need to be the result of open discussion in the WG, i.e. on
| its mailing list.  The co-chairs' role is to facilitate discussion,
| and to guide it towards actually delivering documents as per the WG's
| charter goals.  Decisions about the technical merit of text in various
| sections of the document needs to be decided by consensus on the list.
|
| Ideally, we'd like to get to the next IETF meeting (Minneapolis in
| March) with a single document to review / discuss / amend.  So how
| can we achieve that?
|
| I propose that
|
| 1) We form a small 'editorial' team, with two people from those
|    working on each of the two current documents (4 altogether).
|
| 2) We ask the editorial team to merge the documents together,
|    and publish the resulting document(s) as IPFX WG drafts.
|
| 3) The members of the design team - i.e. all those who've contributed
|    text to the drafts - will be listed in the 'Acknowledgements'
|    section of all drafts produced. The editors of each document
|    will appear as the document authors.
|
| 4) Watching the mailing list discussion, this is starting to
|    happen as a natural development anyway.  Agreeing to proceed
|    in this way would simply introduce a little formality to it,
|    and make the process clear to everyone.
|
| One other comment. This WG has certainly generated plenty of interesting
| discussion on its mailing list.  It's clear that all those involved
| are putting a lot of effort into our goal of producing the best
| technical solutions.  Thanks all round.
|
| I'd like comments / feedback on this notion from all concerned, please.
| In particular, if we can agree to proceed in this way, we need to
| decide who's on the editorial team ...
|
| Cheers, Nevil
|
| +---------------------------------------------------------------------+
| | Nevil Brownlee                     Director, Technology Development |
| | Phone: +64 9 373 7599 x8941        ITSS, The University of Auckland |
| |   FAX: +64 9 373 7021      Private Bag 92019, Auckland, New Zealand |
| +---------------------------------------------------------------------P
|
|
| --
| Help        mailto:[email-masked] and say "help" in message
body
| Unsubscribe mailto:[email-masked] and say
| "unsubscribe ipfix" in message body
| Archive     http://ipfix.doit.wisc.edu/archive/
|

---

From: "K.C. Norseth" <[email-masked]>
Date: Wed, 13 Feb 2002 17:04:29 -0700

Design team people.

K.C.
----- Original Message -----
From: Nevil Brownlee <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>;

|
| Hello all:
|

---

From: Juergen Quittek <[email-masked]>
Date: Thu, 14 Feb 2002 01:27:52 +0100

Nevil and Dave,

Thank you for the guidance. This sounds very reasonable.
But we have to hurry, because we have to submit the drafts
until Friday 22nd.

I volunteer for the editorial team.

Some futher comments are inline.

    Juergen

> sections of the document needs to be decided by consensus on the list.

I'm afraid that we will not achieve this for the first version of the
documents, because there are still several open issues and only eight
days left. But we can work towards consensus on remaining open issues
in Minneapolis and then update the documents accordingly.

> March) with a single document to review / discuss / amend.  So how

I guess you mean two documents?

---

From: Juergen Quittek <[email-masked]>
Date: Thu, 14 Feb 2002 19:38:56 +0100

Nevil and Dave,

You suggested a editor team of 4, but now we have 6
volunteers: Paul, KC, Reinaldo, Ram, Kevin and me.

I am sure that all of us are well motivated and capable
of doing a good job. Therefore, selecting just 4 might
disappoint one or the other.

Therefore I suggest taking all 6 instead of 4
and dividing us into two groups of 3,
one for each document.

However you decide, please decide soon, because we just
have one week left and there is still a lot of work ahead.
We need to arrange phone conferences, distribute the work
and come up with the documents until next Friday.

Cheers,

    Juergen

---

From: "Will Eatherton" <[email-masked]>
Date: Thu, 14 Feb 2002 10:46:39 -0800

Juergen,

Proposal was 2 from each exisiting draft (from first draft I assume
Ganesh/Benoit).  So that is 6 volunteers for 2 slots.  Since I have not
volunteered I will feel comfortable pushing that I believe it should be kept
to 4 total since otherwise I expect the group to have as much trouble
reaching consensus as we have seen occur on the the list thus far.

The rest of us will defintely continue to provide input in the form of
reviews, but a cohesive document is going to require a small team with
somewhat similar starting views on what the scope of this document is.

Will

> -----Original Message-----
> From: majordomo listserver [mailto:[email-masked]]On Behalf
> Of Juergen Quittek
> Sent: Thursday, February 14, 2002 10:39 AM
> To: Nevil Brownlee; [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Subject: Re: [ipfix] WG process: a proposal
>
>
> Nevil and Dave,
>

---

From: Peram Marimuthu <[email-masked]>
Date: Thu, 14 Feb 2002 11:02:49 -0800

Juergen,

I dont believe this is what Nevil/Dave wanted. If I read the
message correctly, Nevil was suggesting respresentation from
draft-gsadasiv and the other draft that KC is putting together equally.

My recommendation is to form a team only with people with significant
inputs into the documents - Not just people that can say "I am interested"
three times. I would recommend keeping the three editors - KC, Ganesh
and Benoit as the editors of the current combined draft. As people
start contributing significantly to the outcome of the combined draft, they join
the editorial team.

Peram

---

From: "Kevin Zhang" <[email-masked]>
Date: Thu, 14 Feb 2002 14:07:44 -0500

Hi Nevil and Dave,

I will second Juergen's proposal.  Let's have the 6 volunteers do some heavy editing based on what we have currently without introducing new technical issues. Given the 22nd deadline, we need to get started right away.

Thanks,

Kevin

> Sent: Thursday, February 14, 2002 1:39 PM
> ��ޖ���[h�f���h���z�ݢ+��+��njwlk/�zZ��y��Ơy��I칻�&ޙ�����j:+v���w���"��"���v�vƲ��칻�&ފ�������,j��܀��b��m����*_�ݢ+��+��n��܆+�